import 'package:flutter/material.dart';
import 'package:sup/sup.dart';

import 'examples/connection_error_sup.dart';
import 'examples/no_items_sup.dart';
import 'examples/no_messages_sup.dart';
import 'examples/welcome_sup.dart';
import 'sup_styles.dart';

void main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Sup Gallery',
      home: SupStylist(
        styles: SupStyles.styles,
        child: Scaffold(
          backgroundColor: Colors.grey[200],
          appBar: AppBar(
            backgroundColor: Colors.transparent,
            elevation: 0,
            brightness: Brightness.light,
            title: Text(
              'Sup Gallery',
              style: TextStyle(color: Colors.black),
            ),
          ),
          body: PageView(
            children: <Widget>[
              _wrapInPage(WelcomeSup()),
              _wrapInPage(ConnectionErrorSup()),
              _wrapInPage(Sup.styled(SupStyles.ERROR)),
              _wrapInPage(NoItemsSup(), Color(0xffFDEEE0)),
              _wrapInPage(NoMessagesSup()),
              _wrapInPage(
                Padding(padding: const EdgeInsets.all(16.0), child: Sup()),
              ),
            ],
          ),
        ),
      ),
    );
  }

  _wrapInPage(Widget child, [Color color]) {
    return Padding(
      padding: const EdgeInsets.symmetric(horizontal: 16, vertical: 48),
      child: Card(
        color: color,
        child: Center(child: child),
      ),
    );
  }
}
