import 'package:flutter/material.dart';
import 'package:flutter_svg/svg.dart';
import 'package:sup/sup.dart';

import 'package:example/widgets/fancy_button.dart';
import 'package:example/widgets/slightly_raised_button.dart';

class SupStyles {
  static const ERROR = 'error';
  static const EMPTY = 'empty';
  static const CONNECTION_ERROR = 'connection';

  static Map<String, SupConfig> styles = {
    ERROR: _errorConfig,
    CONNECTION_ERROR: _connectionErrorConfig,
    EMPTY: _emptyConfig,
  };

  static final _errorConfig = SupConfig(
    image: SvgPicture.asset(
      'assets/images/space-error-2.svg',
      height: 200,
    ),
    title: Text('Uh-oh!'),
    subtitle: Text('Something unfortunate happened'),
    bottom: FancyButton(
      label: 'RETRY',
      color: Color(0xffFF3A00),
    ),
  );

  static final _connectionErrorConfig = SupConfig(
    image: SvgPicture.asset(
      'assets/images/no-connection.svg',
      height: 200,
    ),
    title: Text('No connection'),
    subtitle: Text('Looks like connection issues. Please try again.'),
    bottom: SlightlyRaisedButton(
      label: 'RETRY',
      color: Color(0xff7AAEFC),
    ),
  );

  static final _emptyConfig = SupConfig(
    image: SvgPicture.asset(
      'assets/images/no_items.svg',
      height: 200,
    ),
    title: Text('No items'),
    subtitle: Text('Nothing found. Check back later.'),
  );
}
