import 'package:flutter/material.dart';

class FancyButton extends StatelessWidget {
  final Color color;
  final String label;
  final Brightness brightness;

  FancyButton({this.color, this.label, this.brightness});

  @override
  Widget build(BuildContext context) {
    return RaisedButton(
      shape: RoundedRectangleBorder(
        borderRadius: BorderRadius.circular(32),
      ),
      elevation: 12,
      focusElevation: 14,
      hoverElevation: 14,
      highlightElevation: 16,
      padding: EdgeInsets.symmetric(horizontal: 24, vertical: 16),
      color: color,
      colorBrightness: brightness ?? Brightness.dark,
      child: Text(
        label,
        style: TextStyle(fontWeight: FontWeight.w600),
      ),
      onPressed: () {},
    );
  }
}
