import 'package:flutter/material.dart';

class SlightlyRaisedButton extends StatelessWidget {
  final Color color;
  final String label;
  final Brightness brightness;

  SlightlyRaisedButton({this.color, this.label, this.brightness});

  @override
  Widget build(BuildContext context) {
    return RaisedButton(
      shape: RoundedRectangleBorder(
        borderRadius: BorderRadius.circular(2),
      ),
      elevation: 0,
      focusElevation: 1,
      hoverElevation: 1,
      highlightElevation: 2,
      padding: EdgeInsets.symmetric(horizontal: 16, vertical: 12),
      color: color ?? Colors.redAccent,
      colorBrightness: brightness ?? Brightness.dark,
      child: Text(
        label ?? 'Button',
        style: TextStyle(fontWeight: FontWeight.w600),
      ),
      onPressed: () {},
    );
  }
}
